%define name xscreensaver
%define version 3.25
%define prefix %{_prefix}
%define release 6mdk

Name: %{name}
Summary: A set of X Window System screensavers.
Version: %{version}
Release: %{release}
Copyright: BSD
Group: Graphical desktop/Other
URL: http://www.jwz.org/xscreensaver/
Source: http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.bz2
Source1: control-center-data.tar.bz2
Patch5: xscreensaver-3.24-system-auth.patch.bz2
Patch6: xscreensaver-list.patch.bz2
Requires: xloadimage Mesa-demos fortune-mod
BuildRequires: Mesa-devel
Buildroot:  %{_tmppath}/%{name}-buildroot
Conflicts: control-center < 1.2.2-2mdk

%package gl
Group: Graphical desktop/Other
Requires: xscreensaver = %{version}
Summary: A set of GL screensavers
%description gl

The xscreensaver-gl package contains even more screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screensavers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screensavers for
use with the X Window System and you have OpenGL or Mesa installed.

%description
The xscreensaver package contains a variety of screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure.

Install the xscreensaver package if you need screensavers for use with
the X Window System.

%prep
%setup -q
%patch5 -p1 -b .system-auth
%patch6 -p1 -b .list

%build
RPMOPTS=""
%ifarch alpha
RPMOPTS="--without-xshm-ext"
%endif
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--without-motif  --with-pam --with-gl \
	--enable-subdir=../lib/xscreensaver
perl -p -i -e 's|#define ZIPPY_PROGRAM .*|#define ZIPPY_PROGRAM "/usr/games/fortune"|' config.h
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/{control-center/Desktop,gnome/apps/Settings/Desktop}
%makeinstall	\
	prefix=$RPM_BUILD_ROOT/usr/X11R6 bindir=$RPM_BUILD_ROOT/usr/X11R6/bin	\
	AD_DIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults \
	HACKDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver \
	PAM_DIR=$RPM_BUILD_ROOT/etc/pam.d mandir=$RPM_BUILD_ROOT/usr/X11R6/man	\
	KDEDIR=$RPM_BUILD_ROOT/usr GNOME_DATADIR=$RPM_BUILD_ROOT/%{_datadir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center/.data
(cd $RPM_BUILD_ROOT%{_datadir}/control-center/.data ; tar Ixvf %SOURCE1 )
rm -rf $RPM_BUILD_ROOT%{_mandir}/man1/xmatrix*

%clean
rm -rf $RPM_BUILD_ROOT

%post gl
perl -pi -e 's/\A-\s+GL:/ GL:/' /usr/X11R6/lib/X11/app-defaults/XScreenSaver

%postun gl
perl -ni -e '/\A\s*GL:/ and print "- $_" or print "$_"' /usr/X11R6/lib/X11/app-defaults/XScreenSaver

%files
%defattr(-,root,root)
%config(noreplace) /etc/pam.d/xscreensaver
%attr(0755,root,root) /usr/X11R6/bin/xscreensaver
%doc README
%{_bindir}/xscreensaver.kss
/usr/X11R6/bin/xscreensaver-command
/usr/X11R6/bin/xscreensaver-demo
%config(noreplace) /usr/X11R6/lib/X11/app-defaults/XScreenSaver
/usr/X11R6/man/man1/*
/usr/X11R6/lib/xscreensaver/ant
%{_datadir}/control-center/.data/Ant.*
/usr/X11R6/lib/xscreensaver/attraction
%{_datadir}/control-center/.data/Attraction.*
/usr/X11R6/lib/xscreensaver/blaster
/usr/X11R6/lib/xscreensaver/blitspin
%{_datadir}/control-center/.data/Blitspin.*
/usr/X11R6/lib/xscreensaver/bouboule
%{_datadir}/control-center/.data/Bouboule.*
/usr/X11R6/lib/xscreensaver/braid
%{_datadir}/control-center/.data/Braid.*
/usr/X11R6/lib/xscreensaver/bsod
/usr/X11R6/lib/xscreensaver/bubbles
%{_datadir}/control-center/.data/Bubbles.*
/usr/X11R6/lib/xscreensaver/bumps
%{_datadir}/control-center/.data/Bumps.*
/usr/X11R6/lib/xscreensaver/ccurve
/usr/X11R6/lib/xscreensaver/compass
/usr/X11R6/lib/xscreensaver/coral
%{_datadir}/control-center/.data/Coral.*
/usr/X11R6/lib/xscreensaver/critical
/usr/X11R6/lib/xscreensaver/crystal
/usr/X11R6/lib/xscreensaver/cynosure
%{_datadir}/control-center/.data/Cynosure.*
/usr/X11R6/lib/xscreensaver/decayscreen
%{_datadir}/control-center/.data/Decayscreen.*
/usr/X11R6/lib/xscreensaver/deco
%{_datadir}/control-center/.data/Deco.*
/usr/X11R6/lib/xscreensaver/deluxe
/usr/X11R6/lib/xscreensaver/demon
%{_datadir}/control-center/.data/Demon.*
/usr/X11R6/lib/xscreensaver/discrete
%{_datadir}/control-center/.data/Discrete.*
/usr/X11R6/lib/xscreensaver/distort
%{_datadir}/control-center/.data/Distort.*
/usr/X11R6/lib/xscreensaver/drift
%{_datadir}/control-center/.data/Drift.*
/usr/X11R6/lib/xscreensaver/epicycle
%{_datadir}/control-center/.data/Epicycle.*
/usr/X11R6/lib/xscreensaver/fadeplot
%{_datadir}/control-center/.data/Fadeplot.*
/usr/X11R6/lib/xscreensaver/flag
%{_datadir}/control-center/.data/Flag.*
/usr/X11R6/lib/xscreensaver/flame
%{_datadir}/control-center/.data/Flame.*
/usr/X11R6/lib/xscreensaver/flow
%{_datadir}/control-center/.data/Flow.*
/usr/X11R6/lib/xscreensaver/forest
%{_datadir}/control-center/.data/Forest.*
/usr/X11R6/lib/xscreensaver/galaxy
%{_datadir}/control-center/.data/Galaxy.*
/usr/X11R6/lib/xscreensaver/goop
%{_datadir}/control-center/.data/Goop.*
/usr/X11R6/lib/xscreensaver/grav
%{_datadir}/control-center/.data/Grav.*
/usr/X11R6/lib/xscreensaver/greynetic
%{_datadir}/control-center/.data/Greynetic.*
/usr/X11R6/lib/xscreensaver/halo
%{_datadir}/control-center/.data/Halo.*
/usr/X11R6/lib/xscreensaver/helix
%{_datadir}/control-center/.data/Helix.*
/usr/X11R6/lib/xscreensaver/hopalong
%{_datadir}/control-center/.data/Hopalong.*
/usr/X11R6/lib/xscreensaver/hypercube
%{_datadir}/control-center/.data/Hypercube.*
/usr/X11R6/lib/xscreensaver/ifs
%{_datadir}/control-center/.data/Ifs.*
/usr/X11R6/lib/xscreensaver/imsmap
%{_datadir}/control-center/.data/Imsmap.*
/usr/X11R6/lib/xscreensaver/interference
%{_datadir}/control-center/.data/Interference.*
/usr/X11R6/lib/xscreensaver/jigsaw
%{_datadir}/control-center/.data/Jigsaw.*
/usr/X11R6/lib/xscreensaver/julia
%{_datadir}/control-center/.data/Julia.*
/usr/X11R6/lib/xscreensaver/kaleidescope
%{_datadir}/control-center/.data/Kaleidescope.*
/usr/X11R6/lib/xscreensaver/kumppa
%{_datadir}/control-center/.data/Kumppa.*
/usr/X11R6/lib/xscreensaver/laser
%{_datadir}/control-center/.data/Laser.*
/usr/X11R6/lib/xscreensaver/lightning
%{_datadir}/control-center/.data/Lightning.*
/usr/X11R6/lib/xscreensaver/lisa
%{_datadir}/control-center/.data/Lisa.*
/usr/X11R6/lib/xscreensaver/lissie
%{_datadir}/control-center/.data/Lissie.*
/usr/X11R6/lib/xscreensaver/lmorph
%{_datadir}/control-center/.data/Lmorph.*
/usr/X11R6/lib/xscreensaver/loop
%{_datadir}/control-center/.data/Loop.*
/usr/X11R6/lib/xscreensaver/maze
%{_datadir}/control-center/.data/Maze.*
/usr/X11R6/lib/xscreensaver/moire
%{_datadir}/control-center/.data/Moire.*
/usr/X11R6/lib/xscreensaver/moire2
%{_datadir}/control-center/.data/Moire2.*
/usr/X11R6/lib/xscreensaver/mountain
%{_datadir}/control-center/.data/Mountain.*
/usr/X11R6/lib/xscreensaver/munch
%{_datadir}/control-center/.data/Munch.*
/usr/X11R6/lib/xscreensaver/nerverot
/usr/X11R6/lib/xscreensaver/noseguy
%{_datadir}/control-center/.data/Noseguy.*
/usr/X11R6/lib/xscreensaver/pedal
%{_datadir}/control-center/.data/Pedal.*
/usr/X11R6/lib/xscreensaver/penetrate
/usr/X11R6/lib/xscreensaver/penrose
%{_datadir}/control-center/.data/Penrose.*
/usr/X11R6/lib/xscreensaver/petri
/usr/X11R6/lib/xscreensaver/phosphor
%{_datadir}/control-center/.data/Phosphor.*
/usr/X11R6/lib/xscreensaver/pyro
%{_datadir}/control-center/.data/Pyro.*
/usr/X11R6/lib/xscreensaver/qix
%{_datadir}/control-center/.data/Qix.*
/usr/X11R6/lib/xscreensaver/rd-bomb
%{_datadir}/control-center/.data/Rd-bomb.*
/usr/X11R6/lib/xscreensaver/ripples
%{_datadir}/control-center/.data/Ripples.*
/usr/X11R6/lib/xscreensaver/rocks
%{_datadir}/control-center/.data/Rocks.*
/usr/X11R6/lib/xscreensaver/rorschach
%{_datadir}/control-center/.data/Rorschach.*
/usr/X11R6/lib/xscreensaver/rotor
%{_datadir}/control-center/.data/Rotor.*
/usr/X11R6/lib/xscreensaver/shadebobs
%{_datadir}/control-center/.data/Shadebobs.*
/usr/X11R6/lib/xscreensaver/sierpinski
%{_datadir}/control-center/.data/Sierpinski.*
/usr/X11R6/lib/xscreensaver/slidescreen
%{_datadir}/control-center/.data/Slidescreen.*
/usr/X11R6/lib/xscreensaver/slip
%{_datadir}/control-center/.data/Slip.*
/usr/X11R6/lib/xscreensaver/sonar
%{_datadir}/control-center/.data/Sonar.*
/usr/X11R6/lib/xscreensaver/sphere
%{_datadir}/control-center/.data/Sphere.*
/usr/X11R6/lib/xscreensaver/spiral
%{_datadir}/control-center/.data/Spiral.*
/usr/X11R6/lib/xscreensaver/spotlight
/usr/X11R6/lib/xscreensaver/squiral
/usr/X11R6/lib/xscreensaver/starfish
%{_datadir}/control-center/.data/Starfish.*
/usr/X11R6/lib/xscreensaver/strange
%{_datadir}/control-center/.data/Strange.*
/usr/X11R6/lib/xscreensaver/swirl
%{_datadir}/control-center/.data/Swirl.*
/usr/X11R6/lib/xscreensaver/t3d
%{_datadir}/control-center/.data/3d.*
/usr/X11R6/lib/xscreensaver/triangle
%{_datadir}/control-center/.data/Triangle.*
/usr/X11R6/lib/xscreensaver/truchet
%{_datadir}/control-center/.data/Truchet.*
/usr/X11R6/lib/xscreensaver/vidwhacker
/usr/X11R6/lib/xscreensaver/vines
%{_datadir}/control-center/.data/Vines.*
/usr/X11R6/lib/xscreensaver/wander
/usr/X11R6/lib/xscreensaver/webcollage
/usr/X11R6/lib/xscreensaver/worm
%{_datadir}/control-center/.data/Worm.*
/usr/X11R6/lib/xscreensaver/xflame
#/usr/X11R6/lib/xscreensaver/xjack
/usr/X11R6/lib/xscreensaver/xlyap
%{_datadir}/control-center/.data/Xlyap.*
#/usr/X11R6/lib/xscreensaver/xmatrix
/usr/X11R6/lib/xscreensaver/xroger
%{_datadir}/control-center/.data/Xroger.*
/usr/X11R6/lib/xscreensaver/xspirograph
/usr/X11R6/lib/xscreensaver/xsublim
/usr/X11R6/lib/xscreensaver/xteevee
%{_datadir}/control-center/.data/Xteevee.*
%dir /usr/X11R6/lib/xscreensaver

%files gl
%defattr(-,root,root)
/usr/X11R6/lib/xscreensaver/atlantis
%{_datadir}/control-center/.data/Atlantis.*
/usr/X11R6/lib/xscreensaver/bubble3d
%{_datadir}/control-center/.data/Bubble3d.*
#/usr/X11R6/lib/xscreensaver/cage
/usr/X11R6/lib/xscreensaver/gears
%{_datadir}/control-center/.data/Gears.*
/usr/X11R6/lib/xscreensaver/glplanet
%{_datadir}/control-center/.data/GLPlanet.*
#/usr/X11R6/lib/xscreensaver/lament
#/usr/X11R6/lib/xscreensaver/moebius
/usr/X11R6/lib/xscreensaver/morph3d
%{_datadir}/control-center/.data/Morph3d.*
/usr/X11R6/lib/xscreensaver/pipes
%{_datadir}/control-center/.data/Pipes.*
/usr/X11R6/lib/xscreensaver/pulsar
/usr/X11R6/lib/xscreensaver/rubik
%{_datadir}/control-center/.data/Rubik.*
/usr/X11R6/lib/xscreensaver/sierpinski3d
/usr/X11R6/lib/xscreensaver/sproingies
%{_datadir}/control-center/.data/Sproingies.*
#/usr/X11R6/lib/xscreensaver/stairs
/usr/X11R6/lib/xscreensaver/superquadrics
%{_datadir}/control-center/.data/Superquadrics.*

%changelog
* Fri Oct  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 3.25-6mdk
- Modify config file when (un)installing gl package (correct bug #580)

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.25-5mdk
- pam_stack.

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 3.25-4mdk
- Add files for Gnome control-center support

* Wed Sep 20 2000 Etienne Faure  <etienne@mandraksoft.com> 3.25-3mdk
- added dependencies: fortune-mod, Mesa-demo
- removed non-free screensaver (xmatrix...)

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.25-2mdk
- rebuild to avoid dependency on glide

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.25-1mdk
- new version
- macros, BM, ...
- add some doc
- remove find list
- fix permissions

* Sat Apr  1 2000 DindinX <odin@mandrakesoft.com> 3.23-1mdk
- New version

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 3.18-4mdk
- Fix groups
- Specs updates

* Thu Dec 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new Mesa.

* Fri Dec 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Define the ZIPPY_PROGRAM to /usr/games/fortune (and not `fortune`).

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- extend RPM silliness to man pages, too.
- kill setuid the Right Way(tm)
- 3.18.
- add a '-oneshot' single time lock option(r).
- take webcollage out of random list (for people who pay for bandwidth)(r).
- patch webcollage to use xloadimage(r)
- in the random list, run petri with -size 2 to save memory(r)
- remove security problem introduced earlier(r)

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting Mesa Xscreensaver.

* Sun Jul 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong dependences.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.17.
- Removed unused patchs.
- Add a new dependences (xscreensave now use gtk).

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.

* Tue May  4 1999 Bill Nottingham <notting@redhat.com>
- removed previously introduced security problem.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- kill setuid the Right Way(tm)

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix xflame on alpha

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.09, fixes vmware interaction problems.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- remove setuid bit. Really. I mean it.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- kill setuid, since pam works OK

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.08

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig returns, and no one is safe...

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- remove bsod from random list because it's confusing people???? *sigh*

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to get it to compile cleanely on the arm

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 3.07

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 3.06

* Tue Nov 17 1998 Bill Nottingham <notting@redhat.com>
- update to 3.04

* Thu Nov 12 1998 Bill Nottingham <notting@redhat.com>
- update to 3.02
- PAMify

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out Noseguy module b/c of possible TMv
- install modules in /usr/X11R6/lib/xscreensaver
- don't compile support for xshm on the alpha
- properly buildrooted
- updated to version 2.34

* Fri Aug  7 1998 Bill Nottingham <notting@redhat.com>
- update to 2.27

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- added fix for argv0 buffer overflow

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 2.10 to 2.16
- added buildroot

* Wed Oct 25 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version, configure

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc

